#!/bin/bash
#

# parse the directory the script was called from
# this is necessary because the PWD in konqueror is $HOME
SRC=`echo $0 |sed 's/\/install.sh//g'`

# determine where the user wants to put the service menu
INSTALL_TYPE=`kdialog --radiolist "select an installation type:" 1 "Global - available for all users" off 2 "Local - available for current user only" on`


# determine which directory to install service menu into
if [ "$INSTALL_TYPE" = "1" ]
then
	# install into global directory
	INSTALL_DIR=`kde-config --prefix`/share/apps/konqueror/servicemenus
else
	INSTALL_DIR=$HOME/.kde/share/apps/konqueror/servicemenus
fi

# determine who is installing the file
if [ "$INSTALL_TYPE" = "1" ]
then
	# since you need to be root to install into the global directory
	# check that the script is running as root and run command through
	# kdesu if it's not
	if [ "$USER" = "root" ]
	then
		# already root
		kfmclient copy $SRC/tar.desktop $INSTALL_DIR
		EXITVAL=$?
	else
		# not root
		kdesu -u root -c "kfmclient copy $SRC/tar.desktop $INSTALL_DIR"
		EXITVAL=$?
	fi
else
	# install into local kde config directory
	INSTALL_DIR="$HOME/.kde/share/apps/konqueror/servicemenus"
	kfmclient copy $SRC/tar.desktop $INSTALL_DIR
	EXITVAL=$?
fi

# check how copy returned
if [ "$EXITVAL" = "0" ]
then
	# copy was successful
	kdialog --msgbox "desktop file installed correcly"
else
	# copy was not successful
	kdialog --msgbox "desktop file not installed correctly"
fi
